System Requirements for WebSphere MQ V7.0/7.0.1 on HP-UX Itanium

Product documentation


Abstract

This document contains the system requirements for WebSphere MQ V7.0 on HP-UX Itanium.

Content

Please read first
  • Both 32-bit and 64-bit MQ APIs are supported and the OS must be capable of running 64-bit applications.
  • The 'MQ Explorer' will not run on this platform.
  • Defect support is available for virtualization environments where they relate to releases of this platform already supported by WebSphere MQ. Unless stated elsewhere in the system requirements, WebSphere MQ has not been specifically tested in virtualization environments. WebSphere MQ Support is therefore unable to assist in issues related to configuration and setup, or issues that are directly related to the virtualization environment itself.
Hardware requirements
  • Itanium systems - any hardware that is explicitly compatible and fully capable of running the specified operating system, all the corresponding supporting software shown below, and any associated applications unmodified.
Operating Systems
  • HP-UX 11i V2 (11.23) for IPF
  • HP-UX 11i V3 (11.31) for IPF [see section note 1]

Notes:
  1. Before installing on HP-UX 11i V3 (11.31) see technote 1270591.
For C/C++ applications
  • For applications using the WebSphere MQ C++ classes, the standard runtime is supported.
  • HP C/ANSI Developer Bundle for HP-UX 11i2
  • HP aCC A.06.12 and future fix packs.
For COBOL applications
  • Micro Focus Server Express V4.0, V5.0 and V5.1 [see section note 1]

Notes:
  1. For V5.1, WebSphere MQ V7.0.1 or later is required.
For Java™ applications using the WebSphere MQ classes for Java or JMS Java 5 and above is required when using CCSID 943 to connect to a Queue Manager when using a non-IBM JRE, For more details, please refer to APAR IZ71306.

pthread cumulative patch PHCO 34718 HP patches
is required to resolve an intermittent core dump when running Java applications. The id of the problem record is JAGaf78055.

32-bit:

  • HP-UX IPF Software Development Kit for the Java 2 platform, V1.4.2.
  • HP SDK for J2SE HP-UX 11i platform, adapted by IBM for IBM Software, V1.4.2 for 32-bit Itanium (see section notes 1 and 2)
  • HP SDK for J2SE HP-UX 11i platform, adapted by IBM for IBM Software, V5.0 for 32-bit Itanium (SR1 or above) (see section notes 2 and 3)
  • HP JDK for JSE HP-UX 11i platform, adapted by IBM for IBM Software, V6 for 32-bit Itanium [see section notes 1 and 2]
  • IBM Runtime Environment, Java Technology Edition 7.0 and future fix packs [see section notes 1,2,6 and 7]
  • HP JDK V5.0 [see section notes 3 and 4]
  • HP JDK V6.0 [see section notes 4 and 5]
  • HP Java SDK/JRE/JDK 7.0 and future fix packs. [see section note 7]
64 bit
  • HP-UX IPF Software Development Kit for the Java 2 platform, V1.4.2.
  • HP SDK for J2SE HP-UX 11i platform, adapted by IBM for IBM Software, V1.4.2 for 64-bit Itanium (see section notes 1 and 2)
  • HP SDK for J2SE HP-UX 11i platform, adapted by IBM for IBM Software, V5.0 for 64-bit Itanium (SR1 or above) (see section notes 2 and 3)
  • HP JDK for JSE HP-UX 11i platform, adapted by IBM for IBM Software, V6 for 64-bit Itanium [see section notes 1 and 2]
  • IBM Runtime Environment, Java Technology Edition 7.0 and future fix packs [see section notes 1,2,6 and 7]
  • HP JDK V5.0 [see section notes 3 and 4]
  • HP JDK V6.0 [see section notes 4 and 5]
  • HP Java SDK/JRE/JDK 7.0 and future fix packs. [see section note 7]

Notes:
  1. Only if the JDK is supplied with another IBM product.
  2. FIPS 140-2 compliance is only supported on IBM adapted SDKs.
  3. The Java Runtime Environment must be run with the following parameter set: -XX:+UseGetTimeOfDay
  4. WMQ v7.0.1.0 or later is required.
  5. Patches from HP must be applied depending on the operating system version being used:
  • HP-UX 11i V3 - patch is PHSS-37202 (see here)
  • HP-UX 11i V2 - patch is PHSS-37201 (see here)
6. This is the IBM-modified version of the HP SDK for J2SE HP-UX 11i platform.
7. WebSphere MQ V7.0.1.6 or later is required.
SOAP Support
  • HP SDK for J2SE HP-UX 11i platform, adapted by IBM for IBM Software, V1.4.2 for 32-bit Itanium
  • HP SDK for J2SE HP-UX 11i platform, adapted by IBM for IBM Software, V5.0 for 32-bit Itanium (SR1 or above) (32-bit only)
  • HP JDK for JSE HP-UX 11i platform, adapted by IBM for IBM Software , V6 for 32-bit Itanium
  • IBM Runtime Environment, Java Technology Edition 7.0 and future fix packs, 32-bit only.
  • Transport for SOAP support on 32-bit only (Apache Axis 1.4) - commonly known as Axis 1 (supplied with WebSphere MQ)
Transactions Managers Using the WebSphere MQ classes for JMS, WebSphere MQ can only act in the role of a Resource Manager. A 3rd party Transaction Coordinator must be used, for example WebSphere Application Server.

Using the WebSphere MQ classes for Java, WebSphere MQ can act as a Transaction Coordinator. However it is not possible to participate in a JTA style transaction.

The WebSphere MQ V7 Queue Manager can participate as a Resource Manager with the following Transaction Coordinators:
  • IBM TXSeries V6.1 and V6.2 [see section note 1]
  • IBM TXSeries V7.1 [see section note 1]
  • BEA Tuxedo V9.1
  • BEA Tuxedo V10.3 [see section notes 2 and 3]
  • Oracle Tuxedo 11gR1 [see section note 4]
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V6.0.2 (see this document for more information)
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V6.1 (see this document for more information)
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V7.0 (see this document for more information
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V8.0 (see this document for more information

Notes:
  1. The resiliency feature of TXSeries V6.1/V6.2/V7.1 is not supported. For more details, please refer to
    XA Resiliency feature of TXSeries V6.1/V6.2/V7.1 doesn't work with WMQ as RM.
  2. For information on building applications with Tuxedo 10.3, see Building the Server environment in the information center.
  3. WebSphere MQ V7.0.0.2 or later is required.
  4. WebSphere MQ V7.0.1.1 or later is required.
Application Servers Where a WebSphere MQ client application is running in one of the listed transaction manager environments, it is recommended that you contact the transaction manager vendor in the first instance for support.

WebSphere MQ V7 Java Messaging is supported for use within the following application servers [see section note 3]:
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V6.0.2 (see this document for more information)
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V6.1 (see this document for more information)
  • IBM WebSphere Application Server, including the WebSphere Application Server client container, V7.0 (see this document for more information)
  • IBM WebSphere Application Server V7.0 and V8.0 include the WebSphere MQ V7 Java Messaging feature. Information on the levels of the WebSphere MQ V7 Java Messaging feature that are shipped with these versions of the application server can be found here
  • BEA WebLogic Server 9.2 (JMS only)
  • Oracle WebLogic Server 11gR1 (JMS only) [see section note 2 and 4]
  • Other application server environments may be supported (see section note 1)
  • Oracle WebLogic Server 12cR1 (12.1.1) (see section note 5)

Notes:
  1. For more detailed information about using WebSphere MQ with application servers see the WebSphere MQ resource adapter statement of support document.
  2. WebSphere MQ V7.0.1.1 or later is required.
  3. The use of the WebSphere MQ classes for JMS in enterprise JavaBeans, Servlets and message-driven beans is fully supported. The WebSphere MQ base classes for Java are supported with restrictions - for more details see Using WebSphere MQ Java Interfaces in J2EE/JEE Environments.
  4. Oracle WebLogic Server 11gR1 equals all versions 10.3.1 up to and including 10.3.6
  5. WebSphere MQ V7.0.1.8 or later is required.
Resource Managers (when MQ is the Transaction Manager) Using the WebSphere MQ classes for JMS, WebSphere MQ can only act in the role of a Resource Manager. A 3rd party Transaction Coordinator must be used, for example WebSphere Application Server.

Using the WebSphere MQ classes for Java, WebSphere MQ can act as a Transaction Coordinator. However it is not possible to participate in a JTA style transaction.

Notes:
  1. Only 64-bit DB2 instances can be used with 64-bit WebSphere MQ.
  2. Informix Dynamic Server (IDS) and Sybase Adaptive Server Enterprise (ASE) are NOT supported by the WebSphere MQ Java Classes.
  3. WebSphere MQ V7.0.0.2 or later is required.
  4. For JDBC XA support, APAR IZ48390 is required.
  5. WebSphere MQ V7.0.1 or later is required.
  6. WebSphere MQ V7.0.1.1 or later is required.
Connectivity
  • HP SNAplus2 Version 7 (SNA)
  • TCP/IP (provided by the operation system); IPv6 feature support is available with HP's Transport Optional Upgrade Release (TOUR)
SSL/TLS GSKit:
  • IBM Global Security Kit V7D (64-bit)

Refer to the Cryptography Card List for WebSphere MQ v6 and v7 document for further information.
Supported browsers for the WebSphere MQ information center
  • Mozilla 1.7
  • Firefox 1.5, Firefox 2.0
  • Konqueror (UI base mode only - meaning that only the basic functions of the information center will work, i.e. All function that supports base user activities with the content such as displaying a topic, locating a topic via the table of contents, searching for a topic and displaying it, etc are retained in base mode)
Multi-instance queue manager WebSphere MQ V7.0.1 introduces Multi-instance queue managers. For this you will need a networked storage device (such as a NAS). The storage must be accessed by a network file system protocol which is Posix-compliant and supports lease-based locking. Network File System version 4 (NFS v4) satisfies this requirement. Please note that earlier versions of NFS do NOT satisfy this requirement and must not be used with multi-instance queue managers.

Testing and support statement for WebSphere MQ multi-instance queue managers
  • ONC B.11.31.08 required for multi-instance queue manager support.
  • For HP-UX 11.31 libc cumulative patch PHCO 36900 HP patches
    or superseding patch is required.


Change history:
  • 3rd June 2008: Added support for TXSeries V6.1 and V6.2.
  • 10th July 2008: In the Application Server section split the IBM WebSphere Application Server V6.0.2 and V6.1 entry into separate listings.
  • 24th September 2008: Corrected Informix Dynamic Server (IDS) V10.50 with Client SDK V2.91 to V11.10 with Client SDK V3.0.
  • 19th December 2008: Added support for IBM WebSphere Application Server V7.0.
  • 19th December 2008: Added the Cryptography Cards section.
  • 13th March 2009: Added the technote 1270591 reference in the Operating Systems section.
  • 13th May 2009: Added support for Oracle 11g Release 1.
  • 2nd June 2009: Added support for IBM TXSeries V7.1.
  • 8th June 2009: Added support for BEA Tuxedo V10.3.
  • 17th July 2009: Added the Java Runtime Environment '-XX:+UseGetTimeOfDay' note in the Java applications section.
  • 25th August 2009: Added support for WMQ V7.0.1.
  • 11th September 2009: Added support for HP JDK for JSE HP-UX 11i platform, adapted by IBM for IBM Software, V6 for 32-bit and 64-bit Itanium.
  • 30th September 2009: Added support for HP JDK V5.0 and V6.0.
  • 20th October 2009: Added support for Micro Focus Server Express V5,1.
  • 23rd January 2010: Added support for IBM DB2 9.7 for Linux, UNIX and Windows.
  • 1st April 2010: Added support for Informix Dynamic Server (IDS) V11.5.
  • 8th April 2010: Added support for Oracle 11g Release 2.
  • 2nd July 2010: Added support for Oracle Tuxedo 11gR1.
  • 2nd July 2010: Added support for Oracle WebLogic Server 11gR1.
  • 11th July 2011: Added support for IBM WebSphere Application Server V8.0.
  • 30 Jan 2012: Republishing to prevent expiration of current doc..
  • 15 Jun 2012: Changed For C/C++ applications to be HP aCC A.06.12 and future fix packs, rather than listing individual levels this makes it consistent with V6 and V7.1
  • 12th October 2012: Added Java 7 (1.7)
  • 6th December 2012: Added Note 4 to Application Servers section.
  • 2nd January 2013: Added Oracle WebLogic Server 12cR1 (12.1.1) and Note 5 to Application Server section.
  • 31st January 2013: Added support for DB2 Advanced Enterprise Server Edition 10.1
  • 1st February 2013: Added clarification to Oracle Database 11g Standard/Enterprise Editions Release 1 and Release 2.
  • 15 October 2013: Added clarification to SOAP Support section.
  • 6 November 2013: Added DB2 Advanced Enterprise Server Edition 10.5
  • 31 January 2014: Fixing broken links.
  • 22 July 2014: Added 140-2 to FIPS compliance comment.

Product Alias/Synonym

WMQ MQ

Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere MQ
Documentation

Software version:

7.0

Operating system(s):

HP-UX

Reference #:

7011928

Modified date:

2014-07-22

Translate my page

Machine Translation

Content navigation